<?php

	session_start(); // début de session

	$sPage = "private";
	require("admin/§lib_inc.php");
	$FAMILY=isset($_REQUEST["FAMILY"])?$_REQUEST["FAMILY"] : -1; 
	$erreur=isset($_REQUEST["erreur"])?$_REQUEST["erreur"] : ""; 

//	flush();

	if (isset($_SESSION['privilege']))
	{ // vérification sur la session authentification (la session est elle enregistrée ?)
		header("Location:§index.php?FAMILY=".$FAMILY); // redirection si OK
	}

	if($erreur == "logout")
	{ // Test sur les paramètres d'URL qui permettront d'identifier un contexte de déconnexion
		$prenom = $_SESSION['prenom']; // On garde le prénom en variable pour dire au revoir
		session_unset("authentification");
		header("Location:§private.php?erreur=delog&prenom=".$prenom."&FAMILY=".$FAMILY);
	}

	if (isset($_POST['login']))
	{
		// execution uniquement apres envoi du formulaire (test si la variable POST existe)
		$login_ = addslashes($_POST['login']); // mise en variable du nom d'utilisateur
		$passwd_ = addslashes(md5($_POST['pass'])); // mise en variable du mot de passe chiffré à l'aide de md5
	
		$verif_query=sprintf("SELECT * FROM oxg_users WHERE login='$login_' AND password='$passwd_'"); // requête sur la base administrateurs
		$verif = mysql_query($verif_query) or die(mysql_error());
		$row_verif = mysql_fetch_assoc($verif);
		$utilisateur = mysql_num_rows($verif);
		if ($utilisateur)
		{	
			// On test s'il y a un utilisateur correspondant
//			session_register("authentification"); // enregistrement de la session
			// déclaration des variables de session
			$_SESSION['privilege'] = $row_verif['privilege']; // le privilège de l'utilisateur (permet de définir des niveaux d'utilisateur)
			$_SESSION['nom_'] = $row_verif['nom']; // Son nom
			$_SESSION['prenom_'] = $row_verif['prenom']; // Son Prénom
			$_SESSION['login'] = $row_verif['login']; // Son Login
//			$_SESSION['id_user'] = $row_verif['id_user']; // Son Login
			header("Location: index.php?FAMILY=".$FAMILY); // redirection si OK
/*			$url=isset($_REQUEST["url"])?$_REQUEST["url"] : ""; 
			if ($url!="")
			{
				$url = str_replace ("*", "&", $url);
			}
			header("Location: ".$url); // redirection si OK*/
		}
		else
		{
			header("Location:§private.php?erreur=login&FAMILY=".$FAMILY); // redirection si utilisateur non reconnu
		}
	}
	$sTitle=decode_lng_text("PRIVATE_TITLE");
	require("§menu.php");

	echo "<html><head><title>Authentification</title>";
	echo "<link href='styles.css' rel='stylesheet' type='text/css'></head>";
	echo "<body><form action='' method='post' name='connect'><br /><br /><p align='center' class='title'>";
	if($erreur == "") { // Affiche l'erreur 
		echo "<p align='center'><em>".decode_lng_text('PRIVATE_LOGIN')."</em><br />";
	}
    if($erreur == "login") { // Affiche l'erreur 
		echo "<strong class='erreur'>".decode_lng_text('PRIVATE_NOT_CNX')."</strong>";
	}
    if($erreur == "delog") { // Affiche l'erreur 
		echo "<strong class='reussite'>".decode_lng_text('PRIVATE_LOGOUT').$_GET['prenom']." !</strong>";
    }
    if($erreur == "intru") { // Affiche l'erreur
		echo "<strong class='erreur'>".decode_lng_text('PRIVATE_INTRU')."</strong>";
    }
 
	echo "</p><br />";
	echo "<table width='300'  border='0' align='center' cellpadding='10' cellspacing='0' bgcolor='#eeeeee' class='tableaux'>";
	echo "<tr><input type=hidden name='URL' value=\'$url\'>";
	echo "<td width='50%''><br /><div align='right'>".decode_lng_text('PRIVATE_ACCOUNT')."</div></td>";
	echo "<td width='50%'><br /><input name='login' type='text' id='login'></td></tr><tr>";
	echo "<td width='50%''><div align='right'>".decode_lng_text('PRIVATE_PASSWORD')."</div></td>";
	echo "<td width='50%'><input name='pass' type='password' id='pass'></td></tr><tr>";
	echo "<td height='34' colspan='2'><div align='center'>";
	echo "<input type='submit' name='Submit' value=".decode_lng_text('PRIVATE_ENTER').">";
	echo "</div></td></tr></table></form></body></html>";

	affiche_pied_page(false);
?>
